GlueGen: com.jogamp.common.jvm.JNILibLoaderBase.LoaderAction Interface Reference

GlueGen v2.6.0-rc-20250712 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.common.jvm.JNILibLoaderBase.LoaderAction Interface Reference
Collaboration diagram for com.jogamp.common.jvm.JNILibLoaderBase.LoaderAction:

## Public Member Functions

boolean | loadLibrary (String libname, boolean ignoreError, ClassLoader cl)
| Loads the library specified by libname. More...
void | loadLibrary (String libname, String[] preload, boolean preloadIgnoreError, ClassLoader cl)
| Loads the library specified by libname. More...

## Detailed Description

Definition at line 78 of file JNILibLoaderBase.java.

## Member Function Documentation

## ◆ loadLibrary() [1/2]

boolean com.jogamp.common.jvm.JNILibLoaderBase.LoaderAction.loadLibrary | ( | String | libname,
|  | boolean | ignoreError,
|  | ClassLoader | cl
| ) |  |

Loads the library specified by libname.

The implementation should ignore, if the library has been loaded already.

Parameters

  libname | the library to load
  ignoreError | if true, errors during loading the library should be ignored
  cl | optional ClassLoader, used to locate the library

Returns
  true if library loaded successful

## ◆ loadLibrary() [2/2]

void com.jogamp.common.jvm.JNILibLoaderBase.LoaderAction.loadLibrary | ( | String | libname,
|  | String[] | preload,
|  | boolean | preloadIgnoreError,
|  | ClassLoader | cl
| ) |  |

Loads the library specified by libname.

Optionally preloads the libraries specified by preload.
The implementation should ignore, if any library has been loaded already.

Parameters

  libname | the library to load
  preload | the libraries to load before loading the main library if not null
  preloadIgnoreError | if true, errors during loading the preload-libraries should be ignored
  cl | optional ClassLoader, used to locate the library

The documentation for this interface was generated from the following file:

- src/java/com/jogamp/common/jvm/JNILibLoaderBase.java